variables:
  DOCKER_DRIVER: overlay2
  DOCKER_TLS_CERTDIR: ""
  # TODO: move to common variable
  PROJECT_PATH: http://gitlab-ci-token:${CI_JOB_TOKEN}@${CI_SERVER_HOST}:${CI_SERVER_PORT}/${CI_PROJECT_ROOT_NAMESPACE}

docker image:
    image: docker:20.10.16
    services:
        - docker:20.10.16-dind
    stage: Docker
    dependencies:
        - release
    before_script:
        - pwd
        - ls -la
        - docker info
        - apk add git
    script:
        - echo "Cloning config..."
        - git clone --depth 5 $CONFIG_REPO
        - echo "Config was successfully cloned"

        - mv target/release/service config/docker/service
        - cd config/docker

        - ls -la
        
        - echo "Building docker image"
        - docker build -t $STAGE_DOCKER_REGISTRY_IMAGE .
        - echo "Docker image was successfully builded"

        - echo "Docker container registry login..."
        - cat $DOCKER_AUTH_KEY_FILE | docker login -u json_key --password-stdin $DOCKER_REGISTRY_HOST
        - docker push $STAGE_DOCKER_REGISTRY_IMAGE
        - echo "Docker container was successfully pushed to registry"
    after_script:
        - docker images
